<?php
/**
 * Plugin Name: Export vers Prepafacile pour WooCommerce
 * Plugin URI: https://www.presta-magician.com
 * Description: Export orders infos to prepafacile
 * Version: 1.0.1
 * Author: Presta Magician
 * Author URI: https://www.presta-magician.com
 * Text Domain: woo2prepafacile
 * Domain Path: /languages
 * Copyright 2020 Presta Magician. All rights reserved.
 * Tested up to: 5.5
 * WC tested up to: 4.3
 **/
if ( ! defined( 'WOO2PREPAFACILE_VERSION' ) ) {
	die( '-1' );
}

function woo2prepafacile_install() {
    global $wpdb;
    global $woo2prepafacile_db_version;   

    $woo2prepafacile_db_version = '1.0.1'; 
    $table_name = $wpdb->prefix . 'woo2prepafacile';

			$charset_collate = $wpdb->get_charset_collate();
			$sql = "CREATE TABLE IF NOT EXISTS $table_name ( 
                id int NOT NULL AUTO_INCREMENT,
                order_id int ,
                tracking_number VARCHAR(50) NOT NULL ,
                status VARCHAR(50)  ,
                weight VARCHAR(10),
                carrier_id VARCHAR(50)  ,
                carrier_name VARCHAR(100)  ,
                track_info LONGTEXT  ,
                created  DATETIME ,
                updated  DATETIME ,
                PRIMARY KEY  (id)
            )$charset_collate;";

			$wpdb->query( $sql );

 /*   $table_name = $wpdb->prefix . 'woo2prepafacile';
    
    $charset_collate = $wpdb->get_charset_collate();

    $sql = "CREATE TABLE $table_name (
        id mediumint(9) NOT NULL AUTO_INCREMENT,
        time datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
        name tinytext NOT NULL,
        text text NOT NULL,
        url varchar(55) DEFAULT '' NOT NULL,
        PRIMARY KEY  (id)
    ) $charset_collate;";
    
    $queries = [			
    "CREATE TABLE IF NOT EXISTS `" . $wpdb->prefix . "test1` (
            `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
            `id_shop` int(10) unsigned NOT NULL,
            `name` VARCHAR(100),
            `display` tinyint(1) unsigned NOT NULL DEFAULT '0',
            `active` tinyint(1) unsigned NOT NULL DEFAULT '0',
            `ip` VARCHAR(100),
            PRIMARY KEY (`id`,`id_shop`,`name`)
    ) $charset_collate",
    "CREATE TABLE IF NOT EXISTS `" . $wpdb->prefix . "test2` (
            `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
            `id_theme` int(10) unsigned NOT NULL,
            `css` LONGTEXT,
            `fonts` TEXT,
            `animation` LONGTEXT,
            `description` LONGTEXT,
            `date_add` datetime,
            `active` tinyint(1) unsigned NOT NULL DEFAULT '0',
            PRIMARY KEY (`id`,`id_theme`)
    ) $charset_collate",
    "CREATE TABLE IF NOT EXISTS `" . $wpdb->prefix . "test3` (
                                `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
            `id_theme` int(10) unsigned NOT NULL,
            `id_block` VARCHAR(100),
            `what` VARCHAR(100),
            `whatClass` VARCHAR(100),
            `parent` TEXT,
            `where` VARCHAR(10),
            `style` TEXT,
            `id_lang` VARCHAR(5),
            `admin_block` LONGTEXT,
            `front_block` LONGTEXT,
            `publish` TINYINT(4) DEFAULT '0',
            `date_add` datetime,
            `date_upd` datetime,
            PRIMARY KEY (`id`,`id_theme`,`id_block`,`id_lang`)
    ) $charset_collate",
    "CREATE TABLE IF NOT EXISTS `" . $wpdb->prefix . "test4` (
            `id_scene` int(10) unsigned NOT NULL AUTO_INCREMENT,
            `id_theme` int(10) unsigned NOT NULL,
            `name` VARCHAR(128) NOT NULL,
            `layer_timeline` LONGTEXT NOT NULL,
            `key_timeline` LONGTEXT NOT NULL,
             PRIMARY KEY (`id_scene`,`id_theme`)
    ) $charset_collate"
    ];    
    require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
    foreach ( $queries as $sql ) {
        dbDelta( $sql );
    }*/
    add_option( 'PREPAFACILE_DB_VERSION', $woo2prepafacile_db_version ); 
    add_option( 'PREPAFACILE_STATE_ENVOIE', '' ); 
    add_option( 'PREPAFACILE_STATE_EXPORT', '' ); 
    add_option( 'PREPAFACILE_CONTRAT', '' );
    add_option( 'PREPAFACILE_REFEXP', '' ); 
 /* add_option( 'PREPAFACILE_CARRIERS', '' );     
    add_option( 'PREPAFACILE_LS', '' ); 
    add_option( 'PREPAFACILE_FREQUENCEO_SIGNE', '' ); 
    add_option( 'PREPAFACILE_FREQUENCEO_NOSIGNE', '' ); 
    add_option( 'PREPAFACILE_LETTRE_EXPERT', '' ); */
  
}


